 /*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
  * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  */
/*
 * $Id: Order.java 62604 2011-04-21 15:04:28Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.enums;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "PURCHASE_ORDER")
public class Order implements java.io.Serializable {
    private int id;
    private int total;
    
    public Order() {
    }
    
    public Order(int total) {
        this.total = total;
    }
    
    public Order(int id, int total) {
        this.id = id;
        this.total = total;
    }
    
    @Id
    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public int getTotal() {
        return total;
    }
    
    public void setTotal(int total) {
        this.total = total;
    }
    
    public String toString() {
        return "Order id=" + getId() + ", total=" + getTotal();
    }
}
